<?
$sub_menu = "400310";
include_once("./_common.php");

auth_check($auth[$sub_menu], "r");

$token		= get_token();
$now		= date("Y-m-d H:i:s", $g4[server_time]);

$g4[title] = "실시간 인기검색어";
include_once("./admin.head.php");

//-- 삭제 -----------------------------------------------------------------------------------------
if($mode == "delete") {
	$word		= urldecode($word);
	
	//-- 최신 인기 검색어가 갱신된 날짜
	$rd_latest	= sql_fetch("select * from $zmb[table_popular] order by db_recno desc limit 0, 1");

	sql_query("delete from $zmb[table_popular] where db_recno='$recno'");
	sql_query("delete from $g4[popular_table] where pp_word='$word'");

	//-- 최신 인김 검색어의 등록 날짜를 갱신 주기 시간보다 뒤로 미뤄 새로 갱신 되도록 한다.
	$backdate	= date("Y-m-d H:i:s", strtotime($rd_latest[db_datetime]) - $zm_config[popularterm]);
	sql_query("update $zmb[table_popular] set db_datetime='$backdate' where db_datetime='$rd_latest[db_datetime]'");
}

//-- 현재 노출 중인 인기 검색어
$lastdate	= sql_fetch("select * from $zmb[table_popular] order by db_recno desc limit 0, 1");
$rs_word	= sql_query("select * from $zmb[table_popular] where db_datetime='$lastdate[db_datetime]' order by db_recno asc");

$colspan = 5;
?>
<style type="text/css">
.msg		{ padding:5px; color:#616161; border:1px solid #DFDFDF; background-color:#F7F7F7; font-family:나눔고딕; }
</style>

<div class="msg">
단어를 삭제 한 후에는 실시간 인긴검색어 스킨 모듈인 popular("zm.basic")가 실행 되는 페이지를 호출 하시면 10개의 실시간 인기검색어가 재등록 됩니다.
</div>
<?=subtitle("실시간 인기검색어")?>
<table width=100% cellpadding=0 cellspacing=1 border=0>
<colgroup width=10%>
<colgroup width=15%>
<colgroup width=15%>
<colgroup width=15%>
<colgroup width="">
<tr><td colspan='<?=$colspan?>' class='line1'></td></tr>
<tr class='bgcol1 bold col1 ht center'>
    <td>실시간 순위</td>
    <td>단어</td>
	<td>등락</td>
    <td>단어 전체순위</td>
	<td>처리</td>
</tr>
<? 
while($rd_word = sql_fetch_array($rs_word)) : 
	$updown		= $rd_word[db_realrank] - $rd_word[db_todayrank];
?>
<tr><td colspan='<?=$colspan?>' class='line2'></td></tr>
<tr height=25 class='list<?=$list?> col1 ht center' onMouseOver="this.style.backgroundColor='#F6F8FA'" onMouseOut="this.style.backgroundColor=''">
    <td><?=$rd_word[db_rank]?></td>
	<td align=left><?=$rd_word[db_word]?></td>
    <td><?=($updown>0)?"<?=$updown?>":"-"?></td>
	<td align='right'><?=number_format($rd_word[db_realrank])?></td>
    <td><input type=button class='btn1' value='삭제' onclick="if(confirm('단어를 삭제 하시면 실시간 검색어를 재설정 합니다.')) zm_gourl('?mode=delete&recno=<?=$rd_word[db_recno]?>&word=<?=urlencode($rd_word[db_word])?>')"></td>
</tr>
<? endwhile; ?>

<?
if ($i == 0)
    echo "<tr><td colspan='$colspan' align=center height=100 bgcolor=#ffffff>자료가 없습니다.</td></tr>"; 
?>
<tr><td colspan='<?=$colspan?>' class='line2'></td></tr>
</table>

<script language="javascript">

</script>

<?
include_once("./admin.tail.php");
?>